package cz.utb.tadis.attacks.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum Locality {
    LOCAL("Lokální"),
    INTERNATIONAL("Mezinárodní"),
    NEIGHBORING("Sousední");

    private String label;

    Locality(String label) {
        this.label = label;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    @JsonProperty
    public String getName() {
        return name();
    }

}
